zenilib: SDL_Mouse Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_Mouse Struct Reference

`#include <SDL_mouse_c.h>`

## Public Attributes

Uint32 | buttonstate
SDL_Cursor *(* | CreateCursor )(SDL_Surface *surface, int hot_x, int hot_y)
SDL_Cursor *(* | CreateSystemCursor )(SDL_SystemCursor id)
SDL_Cursor * | cur_cursor
SDL_bool | cursor_shown
SDL_Cursor * | cursors
SDL_Cursor * | def_cursor
void * | driverdata
SDL_Window * | focus
void(* | FreeCursor )(SDL_Cursor *cursor)
int | last_x
int | last_y
SDL_MouseID | mouseID
void(* | MoveCursor )(SDL_Cursor *cursor)
int | original_x
int | original_y
SDL_bool | relative_mode
int(* | SetRelativeMouseMode )(SDL_bool enabled)
int(* | ShowCursor )(SDL_Cursor *cursor)
void(* | WarpMouse )(SDL_Window *window, int x, int y)
int | x
int | xdelta
int | y
int | ydelta

## Detailed Description

Definition at line 36 of file SDL_mouse_c.h.

## Member Data Documentation

Uint32 SDL_Mouse::buttonstate

Definition at line 67 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_GetRelativeMouseState(), SDL_PrivateSendMouseMotion(), SDL_ResetMouse(), SDL_SendMouseButton(), and SDL_SendMouseMotion().

SDL_Cursor*(* SDL_Mouse::CreateCursor)(SDL_Surface *surface, int hot_x, int hot_y)

Definition at line 39 of file SDL_mouse_c.h.

Referenced by SDL_CreateColorCursor().

SDL_Cursor*(* SDL_Mouse::CreateSystemCursor)(SDL_SystemCursor id)

Definition at line 42 of file SDL_mouse_c.h.

Referenced by SDL_CreateSystemCursor().

SDL_Cursor* SDL_Mouse::cur_cursor

Definition at line 74 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), SDL_GetCursor(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_SetDefaultCursor().

SDL_bool SDL_Mouse::cursor_shown

Definition at line 75 of file SDL_mouse_c.h.

Referenced by SDL_MouseInit(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_ShowCursor().

SDL_Cursor* SDL_Mouse::cursors

Definition at line 72 of file SDL_mouse_c.h.

Referenced by SDL_CreateColorCursor(), SDL_CreateSystemCursor(), SDL_FreeCursor(), SDL_MouseQuit(), and SDL_SetCursor().

SDL_Cursor* SDL_Mouse::def_cursor

Definition at line 73 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), SDL_GetDefaultCursor(), SDL_MouseQuit(), SDL_SetCursor(), and SDL_SetDefaultCursor().

void* SDL_Mouse::driverdata

Definition at line 78 of file SDL_mouse_c.h.

SDL_Window* SDL_Mouse::focus

Definition at line 61 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseFocus(), SDL_PrivateSendMouseMotion(), SDL_ResetMouse(), SDL_SendMouseButton(), SDL_SendMouseWheel(), SDL_SetCursor(), SDL_SetMouseFocus(), SDL_SetRelativeMouseMode(), SDL_UpdateMouseFocus(), and SDL_WarpMouseInWindow().

void(* SDL_Mouse::FreeCursor)(SDL_Cursor *cursor)

Definition at line 51 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), and SDL_MouseQuit().

int SDL_Mouse::last_x

Definition at line 66 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

int SDL_Mouse::last_y

Definition at line 66 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

SDL_MouseID SDL_Mouse::mouseID

Definition at line 60 of file SDL_mouse_c.h.

Referenced by SDL_ResetMouse(), SDL_UpdateMouseFocus(), and SDL_WarpMouseInWindow().

void(* SDL_Mouse::MoveCursor)(SDL_Cursor *cursor)

Definition at line 48 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

int SDL_Mouse::original_x

Definition at line 70 of file SDL_mouse_c.h.

Referenced by SDL_SetRelativeMouseMode().

int SDL_Mouse::original_y

Definition at line 70 of file SDL_mouse_c.h.

Referenced by SDL_SetRelativeMouseMode().

SDL_bool SDL_Mouse::relative_mode

Definition at line 68 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseMode(), SDL_OnWindowFocusGained(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_SetRelativeMouseMode().

int(* SDL_Mouse::SetRelativeMouseMode)(SDL_bool enabled)

Definition at line 57 of file SDL_mouse_c.h.

Referenced by SDL_SetRelativeMouseMode().

int(* SDL_Mouse::ShowCursor)(SDL_Cursor *cursor)

Definition at line 45 of file SDL_mouse_c.h.

Referenced by SDL_SetCursor().

void(* SDL_Mouse::WarpMouse)(SDL_Window *window, int x, int y)

Definition at line 54 of file SDL_mouse_c.h.

Referenced by SDL_WarpMouseInWindow().

int SDL_Mouse::x

Definition at line 62 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_PrivateSendMouseMotion(), SDL_SendMouseButton(), and SDL_SetRelativeMouseMode().

int SDL_Mouse::xdelta

Definition at line 64 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseState(), and SDL_PrivateSendMouseMotion().

int SDL_Mouse::y

Definition at line 63 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_PrivateSendMouseMotion(), SDL_SendMouseButton(), and SDL_SetRelativeMouseMode().

int SDL_Mouse::ydelta

Definition at line 65 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseState(), and SDL_PrivateSendMouseMotion().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/events/SDL_mouse_c.h